Partially update key page
curl --request PATCH \
--url https://api.kameleoon.com/key-pages/{keyPageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matchType": "<string>",
"name": "<string>",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"totalCount": 123
}
'import requests
url = "https://api.kameleoon.com/key-pages/{keyPageId}"
payload = {
"matchType": "<string>",
"name": "<string>",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"totalCount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
matchType: '<string>',
name: '<string>',
relativeUrlRegExp: '<string>',
secondMatchType: '<string>',
totalCount: 123
})
};
fetch('https://api.kameleoon.com/key-pages/{keyPageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": 123,
"matchType": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"siteId": 123,
"totalCount": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}KeyPage
Partially update key page
Update several fields of a key page
PATCH
/
key-pages
/
{keyPageId}
Partially update key page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Name of the key page
Date and time a key page is created
Unique Id of the key page
Matching type for the given key page
Date and time a key page is modified
Regular expression for the relative URL
Second matching type for the given key page (if needed)
Site Id of the project the key page belongs to
Number of impressions for the key page
Was this page helpful?
⌘I